#include "func.h"

void helpMenu(void){
    clear();
    printf("Command [alias] - what it does.\n\n");
    printf("\thelp  [h]   - Show this info.\n\n");
    printf("\tshow  [c] - Show the 2d array\n\n");
    printf("\tset   [s]   - Show all methods to fill the 2d array.\n");
    printf("\tset*  [s*]  - Choose how to fill the 2d array\n\n");
    printf("\tfunc  [f]   - Show all functions\n");
    printf("\tfunc* [f*]  - Choose a function.\n\n");
    printf("\texit  [q]   - Quite the program.\n\n\n");
}

void setMenu(void){
    clear();
    printf("Fill 2d massive methods\n");
    printf("\t [1] - Row‑wise left‑to‑right input.\n");
    printf("\t [2] - Row‑wise right‑to‑left input.\n\n");
    printf("\t *[3] - Column‑wise top‑to‑bottom input.\n");
    printf("\t [4] - Column‑wise bottom‑to‑top input.\n\n");
    printf("\t [5] - Spiral from outer edge toward centre.\n");
    printf("\t [6] - Spiral from centre outward.\n\n");
    printf("\t [7] - Diagonal input starting at bottom‑left corner.\n");
    printf("\t [8] - Diagonal input starting at top‑right corner.\n");
    printf("\t [9] - Diagonal input starting at top‑left corner.\n");
    printf("\t[10] - Diagonal input starting at bottom‑right corner.\n\n\n");
}

void funcMenu(void){
    clear();
    printf("Functions\n");
    printf("\t [1] - Find the maximum and minimum elements of the matrix.\n");
    printf("\t [2] - Find the maximum value in each row and in each column of the matrix.\n\n");
    printf("List elements\n");
    printf("\t [3] - ... whose values are greater than a given k.\n");
    printf("\t [4] - ... whose values are less than a given k.\n");
    printf("\t [5] - ... greater than k in columns m through l.\n");
    printf("\t [6] - ... greater than k in rows m through l.\n");
    printf("\t [7] - ... less than k in columns m through l.\n");
    printf("\t [8] - ... less than k in rows m through l.\n");
    printf("\t [9] - ... whose values lie between the matrix's minimum and maximum values.\n");
    printf("\t*[10] - ... that are multiples of the entered number k\n\t\t(k < matrix max; also display the matrix's maximum value).\n\n");
    printf("Compute the sum of\n");
    printf("\t[11] - ... all even elements of the matrix.\n");
    printf("\t[12] - ... odd elements of the matrix.\n");
    printf("\t[13] - ... elements that are multiples of k.\n");
    printf("\t[14] - ... elements in even‑indexed columns of the matrix.\n");
    printf("\t[15] - ... elements in odd‑indexed columns of the matrix.\n");
    printf("\t*[16] - ... elements in even‑indexed rows of the matrix.\n");
    printf("\t[17] - ... elements in odd‑indexed rows of the matrix.\n");
    printf("\t[18] - ... elements on and above the main diagonal (inclusive).\n");
    printf("\t[19] - ... elements on and below the main diagonal (inclusive).\n");
    printf("\t[20] - ... elements on both the main and secondary diagonals of the matrix.\n\n\n");
}
